#!/bin/bash

#stop custom-reboot-test
DiskLimitSize="0.5"
DiskWarningSize="1"
DiskInfo=$(df -h /usr/local)
echo $DiskInfo
#echo $DiskInfo|cut -d " " -f11
DiskSize=`echo $DiskInfo|cut -d " " -f11`
#echo $DiskSize
FreeDiskSize=${DiskSize%?}
#echo $FreeDiskSize
ret=0
check_modem(){
	lsusb | grep "2cb7:01a0" > /dev/null 2>&1
	if [ $? == 0 ];then
		ret=1
	fi
}

if [[ $DiskLimitSize > $FreeDiskSize ]];
then echo "Disk space limit, can not capture log"
exit 1
fi
if [[ $DiskWarningSize > $FreeDiskSize ]];
then echo "Disk space is less than 1G, please clear disk for enough disk space!!!"
fi

check_modem
if [ $ret == 0 ];then
FIRSTUSE=`cat /usr/local/fibocomtools/firstenable`
if [ "$FIRSTUSE" == "FE" ]
then
  echo "Running open trace for the first time"
  cd /usr/local/fibocomtools/CAPTURE_TOOL/GL850/
  ./l850-opentrace.sh
  echo "SE" > /usr/local/fibocomtools/firstenable
else
  echo "Without running open trace for the next time"
fi
fi

cp ./fibocom.sh /usr/sbin/reboot_test.sh
cp ./custom-test.conf /etc/init/custom-reboot-test.conf
cp /etc/init/modemmanager.conf ./modemmanager.conf.bak
cp ./modemmanager.conf /etc/init/
#cp -rf ./GL850 /mnt/stateful_partition/
echo "The os will reboot after 2s, then will capture logs automatically"
sleep 2
reboot
sync;sync

