#!/bin/bash

res=0
check_modem() {
  lsusb | grep "2cb7:0007" > /dev/null 2>&1
  if [ $? == 0 ];then
    res=1
  fi

  lsusb | grep "2cb7:01a0" > /dev/null 2>&1
  if [ $? == 0 ];then
    res=2
  fi
  
  lsusb | grep "2cb7:01a2" > /dev/null 2>&1
  if [ $? == 0 ];then
    res=3
  fi
}

check_modem
if [ $res == 1 ];then
  ./at_tools PORT/l850gl_port.txt
elif [ $res == 2 ];then
  ./at_tools PORT/nl668am_port.txt
elif [ $res == 3 ];then
  ./at_tools PORT/fm101_port.txt
else
  echo "Unsupported modem"
fi
