#!/bin/bash
AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`


check_echo_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
	fuser $AT_PORT
	if [ $? -eq 0 ];then
		echo $AT_PORT" Port occupied"
		echo "use echo -e >"
	else
		echo $AT_PORT" ready"
	fi
}

check_open_port_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
#	fuser $AT_PORT
#	if [ $? -eq 0 ];then
#		echo $AT_PORT" Port occupied"
#		echo "run fail"
#		exit 0
#	else
#		echo $AT_PORT" ready"
#	fi
}


check_open_port_env

#change cal_fwcfg value
#echo -e at@nvm:cal_fwcfg.linuxdump=0 > $AT_PORT
#echo -e at@store_nvm\(cal_fwcfg\) > $AT_PORT

if [ -z "$1" -o "$1" == "fibocom" ];then
      echo "it's Fibocom platform"
      fuser $AT_PORT -k >> /dev/null 2>&1
      ./bin/ccom -d "at+gtset=\"swcoredump\",0" -p $AT_PORT >> /dev/null 2>&1
      if [ $? -eq 0 ];then
	echo "disable coredump ok" 
      else
        echo "disable coredump fail"
      fi 
      exit
fi
if [ "$1" == "intel" ];then
      echo "it's Intel platform"
      fuser $AT_PORT -k >>  /dev/null 2>&1
      ./bin/ccom -d "at@cdd:easyconfig(0)" -p $AT_PORT  >> /dev/null 2>&1
      if [ $? -eq 0 ];then
	echo "disable coredump ok" 
      else
        echo "disable coredump fail"
      fi 
      exit
fi
