#!/bin/bash

FTRACE_DIR="/sys/kernel/debug/tracing"
FTRACE_FILTER="`pwd`/usb-ftrace-filter.txt"

echo 0 > "$FTRACE_DIR"/tracing_on
echo function_graph > "$FTRACE_DIR"/current_tracer
echo 65536 > "$FTRACE_DIR"/buffer_size_kb
echo > "$FTRACE_DIR"/trace
echo funcgraph-abstime >> "$FTRACE_DIR"/trace_options

echo "Setting up ftrace filters ..."
grep "^usb\|xhci\|hub\|hcd" "$FTRACE_DIR"/available_filter_functions | grep -v "iwl" > "$FTRACE_FILTER"
cat "$FTRACE_FILTER" >> "$FTRACE_DIR"/set_ftrace_filter
echo "Done"

echo "usb-ftrace [+]"
logger "usb-ftrace [+]"
echo 1 > "$FTRACE_DIR"/tracing_on
