#!/bin/bash

LOG_DATE=`date +%Y%m%d%H%M%S`
LOG_DIR="`pwd`/log/$1/$LOG_DATE"

mkdir -p "$LOG_DIR"

FTRACE_DIR="/sys/kernel/debug/tracing"

echo 0 > "$FTRACE_DIR"/tracing_on
echo "usb-ftrace [-]"
logger "usb-ftrace [-]"

echo "Dumping trace files ..."
cat "$FTRACE_DIR"/trace > "$LOG_DIR"/trace-`date +%Y%m%d%H%M%S`
dmesg > "$LOG_DIR"/dmesg-`date +%Y%m%d%H%M%S`
echo "Done"
