#!/bin/bash

ret=0
ModemId=2cb7:01a0
DiagPort=/dev/ttyUSB2
check_modem(){
	lsusb | grep "2cb7:01a0" > /dev/null 2>&1
	if [ $? == 0 ];then
		ret=1	
	fi
	lsusb | grep "2cb7:01a2" > /dev/null 2>&1
	if [ $? == 0 ];then
	  ret=2
	  ModemId=2cb7:01a2
	  DiagPort=/dev/ttyUSB2
	fi
}

check_modem
if [ $ret != 0 ];then
  cd COMMON/bin
  # open diag port to collect log
  if [ $ret == 1 ];then
    ./ccom -p /dev/ttyUSB1 -d at+disk=0,0,0
  elif [ $ret == 2 ];then
    ./ccom -p /dev/ttyUSB1 -d at+gtdiagen=1,1
  fi	
  cd ../..
  cd NL668
  ./CaptureLog_Chrome.sh $ModemId $DiagPort
else
  cd GL850
  ./CaptureLog_Chrome.sh
fi

sync;sync;
