#!/bin/bash

AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`


check_echo_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
	fuser $AT_PORT
	if [ $? -eq 0 ];then
		echo $AT_PORT" Port occupied"
		echo "use echo -e >"
	else
		echo $AT_PORT" ready"
	fi
}

check_open_port_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
#	fuser $AT_PORT -k
#	if [ $? -eq 0 ];then
#		echo $AT_PORT" Port occupied"
#		echo "run fail"
#		exit 0
#	else
#		echo $AT_PORT" ready"
#	fi
}



check_open_port_env

#change cal_fwcfg value
../pycom.py at@nvm:cal_fwcfg.linuxdump? $AT_PORT
echo "-------------------------------------------"
../pycom.py at@cdd:paramdump\(\)  $AT_PORT 
echo "-------------------------------------------"
../pycom.py at+gtset?  $AT_PORT 
echo "-------------------------------------------"
../pycom.py at+gtpkgver?  $AT_PORT 
echo "-------------------------------------------"
../pycom.py at+xgendata  $AT_PORT 
echo "-------------------------------------------"



