# Copyright 2015-2020 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash

AT_PORT=""
ret=0
check_modem(){
		lsusb | grep "2cb7:01a0" > /dev/null 2>&1
		if [ $? == 0 ];then
		    AT_PORT+=`ls /dev/ttyUSB* | awk 'NR==2{print}'`
		    ret=1
		else
			AT_PORT+=`ls /dev/ttyACM* | awk 'NR==1{print}'`		
		fi
}

main() {
    if [ `whoami` != "root" ];then
        echo "only root can run me"
        exit 1
    fi
	check_modem
	/usr/local/fibocomtools/CAPTURE_TOOL/COMMON/bin/ccom -p $AT_PORT -d $1
}
main "$@"
