import os
import sys

current_path = "/usr/local/fibocomtools/modemfwd-firmware/fm101"
local_path = "/opt/google/modemfwd-firmware/fm101"

def find_file(path, file):
    file_list = os.listdir(path)
    for i in file_list:
        if os.path.isdir(path+os.sep+i):
            temp_path, res = find_file(path + os.sep + i, file)
            if res:
                return temp_path, True 
        elif i == file:
            return path + "/" + i, True
    
    return None, False

if __name__ == '__main__':
    print("******Update Tool******\n"
           "1 use current folder\n"
	   "2 use origin path\n")

    which_path = int(input("Please choose:"))
    firmware_path = None
    if which_path == 1:
        firmware_path = current_path
    elif which_path == 2:
        firmware_path = local_path
    else:
        print("Unknow Option")
        sys.exit(0)

    if which_path == 1:
        print("Is firmware is EB\n"
              "1. Yes\n"
              "2. No\n")
        num = int(input("Please choose:"))
        list = os.listdir(current_path)
        for i in range(0, len(list)):
            print(i, list[i])
        which_pkg = int(input("Please choose:"))
        if num == 1:
            final_path = current_path + "/" + list[which_pkg] + "/Maincode"
        elif num == 2:
            final_path = current_path + "/" + list[which_pkg]
        prog_path, res = find_file(final_path, "prog_nand_firehose_9x55.mbn")
        program_path, res = find_file(final_path, "rawprogram_nand_p2K_b128K.xml")
        patch_path, res = find_file(final_path, "patch_p2K_b128K.xml")
        os.system("chmod +777 -R " + final_path)
        print(final_path)
        print(prog_path)
        print(program_path)
        print(patch_path)
        os.system("python3 fm101_downloadtool.py " + final_path + " " + prog_path + " " + program_path + " " + patch_path)
    else:
        prog_path, res = find_file(local_path, "prog_nand_firehose_9x55.mbn")
        program_path, res = find_file(local_path, "rawprogram_nand_p2K_b128K.xml")
        patch_path, res = find_file(local_path, "patch_p2K_b128K.xml")
        os.system("chmod +777 -R " + local_path)
        os.system("python3 fm101_downloadtool.py " + local_path + " " + prog_path + " " + program_path + " " + patch_path)
